Subject: Re: RSVP

From: David Charlap <[email-masked]>
Date: Wed, 02 Jan 2002 11:55:06 -0500

Sean Crocker wrote:
> 
> There's no discovery mechanism, and all nodes in the expected LSP
> path must be configured.
> 
> From an operational point of view, RSVP-TE normally requires CSPF
> before signalling, which would in turn require IGP TE
> configuration.  Wherever IGP TE is configured, RSVP-TE should also
> be configured so the signalling would proceed across RSVP nodes
> only.

Not a requirement.

RSVP only requires a local forwarding table so that the next-hop address
and interface for a given destination may be determined.

How that forwarding table is generated is beyond the scope of RSVP.  It
is usually built from an IGP of some kind, but that is not a
requirement.

> There is a non-RSVP node discovery mechanism though.  See RFC3209
> 4.2.5.

You mean RFC 2205.  Non-RSVP node discovery is part of the core RSVP,
not part of the RSVP-TE extensions.

-- David